Home Download Buy Blog Forum Support

ST3: Vintage mode?

ST3: Vintage mode?

Postby nicksergeant on Tue Jan 29, 2013 7:33 am

I'm a Vim guy looking to come to ST as soon as ST3 is released.

I'm trying out the beta now but it appears that Vintage Mode is not working for the beta.

Wanted to drum up a conversation around this and see what the plans are for porting Vintage Mode to ST3. It looks like the Vintage mode on GitHub hasn't been updated in 6 months: https://github.com/sublimehq/Vintage

Will ST3 support Vintage Mode in the near future? (or vice-versa)?
nicksergeant
 
Posts: 1
Joined: Tue Jan 29, 2013 7:30 am

Re: ST3: Vintage mode?

Postby quarnster on Tue Jan 29, 2013 7:52 am

I had to:
Code: Select all
cd "~/Library/Application Support/Sublime Text 3/Packages/"
mkdir Vintage
cd Vintage
unzip /Applications/Sublime\ Text.app/Contents/MacOS/Packages/Vintage.sublime-package


And then it would work. Except that pressing "o" doesn't insert a new line which is driving me nuts.. ;)
quarnster
 
Posts: 389
Joined: Tue Nov 29, 2011 11:34 am

Re: ST3: Vintage mode?

Postby voxmea on Wed Jan 30, 2013 2:08 pm

I'm having the same issue. Nothing I try is enabling Vintage mode. I've tried:

1. quarnstar's suggestion above.
2. Adding ignore_packages to my user config.
3. I'm not able to edit the default Preferences. So, I unzipped Default.sublime-package, edited Preferences.sublime-settings, re-zipped the package, removed Ingnored Packages.cache.
4. Adding Vintageous/Vintage to both Packages and Installed Packages under $HOME/.config/sublime-text-3.
5. Adding Vintage to the ignored_packages, and then removing it.

Any other ideas?
I'm running the linux x64 tarball on Fedora 18.
Thanks!
voxmea
 
Posts: 28
Joined: Fri Feb 04, 2011 10:02 pm

Re: ST3: Vintage mode?

Postby voxmea on Wed Jan 30, 2013 5:38 pm

To answer my own question:

The problem was the plugin_host wasn't starting because Fedora uses libffi.so.5, not libffi.so.6. I created a symlink from libffi.so.5 to libffi.so.6 and now my plugins are loading.
voxmea
 
Posts: 28
Joined: Fri Feb 04, 2011 10:02 pm

Re: ST3: Vintage mode?

Postby davetayls on Fri Feb 01, 2013 10:50 am

Does anyone know if we are to expect this to eventually ship with ST3?
davetayls
 
Posts: 1
Joined: Fri Feb 01, 2013 10:48 am

Re: ST3: Vintage mode?

Postby guillermooo on Fri Feb 01, 2013 1:08 pm

There's a new rewrite of Vintage called 'Vintageous' in the works. More info here:

viewtopic.php?f=5&t=10812
guillermooo
 
Posts: 725
Joined: Thu Jul 23, 2009 9:06 am

Re: ST3: Vintage mode?

Postby coder79 on Sat Feb 09, 2013 12:30 am

voxmea wrote:To answer my own question:

The problem was the plugin_host wasn't starting because Fedora uses libffi.so.5, not libffi.so.6. I created a symlink from libffi.so.5 to libffi.so.6 and now my plugins are loading.


This worked for me to enable Vintage mode on Fedora 17.
coder79
 
Posts: 2
Joined: Thu Feb 07, 2013 9:15 pm

Re: ST3: Vintage mode?

Postby nlh on Sat Mar 16, 2013 4:23 am

quarnster wrote:I had to:
Code: Select all
cd "~/Library/Application Support/Sublime Text 3/Packages/"
mkdir Vintage
cd Vintage
unzip /Applications/Sublime\ Text.app/Contents/MacOS/Packages/Vintage.sublime-package


And then it would work. Except that pressing "o" doesn't insert a new line which is driving me nuts.. ;)


Just wanted to say that I'm running beta build 3021, had the exact same issue (non-functional Vintage), and the above worked perfectly. Many thanks for the tip quarnster.

(and 'o' seems to work, thankfully ;) )
nlh
 
Posts: 1
Joined: Sat Mar 16, 2013 4:21 am

Re: ST3: Vintage mode?

Postby Luke on Sat Jul 13, 2013 11:15 pm

It seems that Sublime Text 3 contains the following default in the User settings:

Code: Select all
{
   "ignored_packages":
   [
      "Vintage"
   ]
}


In Sublime Text 2 it was just "{}". If you delete the entire "ignore_packages" key, it will fall back to the default file, which also has this entry:

Code: Select all
    // List any packages to ignore here. When removing entries from this list,
    // a restart may be required if the package contains plugins.
    "ignored_packages": ["Vintage"]


So instead you have to do this:

Code: Select all
{
   "ignored_packages": []
}


And then it works.
Luke
 
Posts: 11
Joined: Sat Feb 19, 2011 6:09 am

Re: ST3: Vintage mode?

Postby aelesbao on Wed Dec 04, 2013 5:31 am

nlh wrote:
quarnster wrote:I had to:
Code: Select all
cd "~/Library/Application Support/Sublime Text 3/Packages/"
mkdir Vintage
cd Vintage
unzip /Applications/Sublime\ Text.app/Contents/MacOS/Packages/Vintage.sublime-package


And then it would work. Except that pressing "o" doesn't insert a new line which is driving me nuts.. ;)


Just wanted to say that I'm running beta build 3021, had the exact same issue (non-functional Vintage), and the above worked perfectly. Many thanks for the tip quarnster.

(and 'o' seems to work, thankfully ;) )


I did the same and it worked for me. What let me thinking... Did you guys migrated your packages from a Sublime Text 2 install to the new one too? I did it and probably it was the cause.
aelesbao
 
Posts: 1
Joined: Wed Dec 04, 2013 5:28 am

Next

Return to Technical Support

Who is online

Users browsing this forum: Vohm, Yahoo [Bot] and 18 guests